Subject: Re: NT extended attributes
From: [email-masked] (Jeff Sturm)

16 Oct 1998 10:00:04 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked]

Yes, I *think* chown works, I'll verify tomorrow... under NT "change
ownership" is one of the rights that can be granted on a file, so any
user can generally assign ownership of his own files... right?

Corinna Vinschen wrote:
> 
> Jeff Sturm wrote:
> >
> > Can anyone explain how NTFS security maps to the cygwin32 POSIX-ish
> > user/group/other file permissions?  I've tried to set up a
> > somewhat-secure login environment on NT.  Working as administrator, I
> > can create folders and set their ownership through cygwin32 (chown
> > works).  So the folder looks like
> 
> Very interesting, chown works?
> If, as administrator, I do a
>         chown anyuser anyfile
> I get a
>         Permission denied
> 
> If, as administrator, I do a
>         chown administrator anyfile
> I get no error but nothing has happened.
> 
> Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".